List WhatsApp configs for a customer
curl --request GET \
--url https://app.kapso.ai/api/v1/customers/{customer_id}/whatsapp_configs \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.kapso.ai/api/v1/customers/{customer_id}/whatsapp_configs"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.kapso.ai/api/v1/customers/{customer_id}/whatsapp_configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "4a5b6c7d-8e9f-0a1b-2c3d-4e5f6a7b8c9d",
"name": "Client WhatsApp",
"display_name": "Client WhatsApp (+1234567890)",
"phone_number_id": "1234567890",
"business_account_id": "98765432109",
"display_phone_number": "+56 9 61461262",
"display_phone_number_normalized": "56961461262",
"webhook_verify_token": "<string>",
"webhook_destination_url": "<string>",
"customer_id": "3f2e1d0c-9b8a-7f6e-5d4c-3b2a1f0e9d8c",
"inbound_processing_enabled": true,
"calls_enabled": false,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"page": 123,
"per_page": 123,
"total_pages": 123,
"total_count": 123
}
}{
"error": "Resource not found"
}{
"error": "Resource not found"
}WhatsApp Configs
List WhatsApp configs for a customer
Returns a list of WhatsApp configurations for a specific customer
GET
/
customers
/
{customer_id}
/
whatsapp_configs
List WhatsApp configs for a customer
Authorizations
Your project API key
Path Parameters
Query Parameters
Filter by WhatsApp Business Account ID
Filter by exact WhatsApp Business Account ID (Ransack syntax)
Filter by name containing string
Filter by created date >= (ISO 8601 format)
Filter by created date <= (ISO 8601 format)
⌘I

